#!/bin/sh

export PATH=$PATH:/bin/:/sbin/:/usr/bin/:/usr/local/bin/:/usr/sbin/:/usr/local/sbin/
PROPERTY=$1

case $PROPERTY in

        'manufacturer')
                mfg="IBM"
                echo $mfg;
        ;;

        'model')
                lsattr -El sys0 -a modelname | awk {'print $2'}
        ;;

        'serialno')
                lsattr -El sys0 -a systemid | awk {'print $2'}
        ;;

        'macaddress')
                 netstat -v |grep "Hardware Address"|awk '{print $3}' | head -1
        ;;

        'os_distribution')
                echo "AIX `oslevel`"
        ;;

        'version')
                echo `oslevel`
        ;;

        'architecture')
                uname -p
        ;;

        'total_ram')
                kb=`lsattr -El sys0 -a realmem | awk {'print $2'}`
                echo `expr $kb \\* 1024`
        ;;

        *) echo "Unknown";;

esac
